Module jdk.compiler
Package com.sun.source.tree

# Interface ThrowTree

All Superinterfaces:
  `StatementTree`, `Tree`

public interface ThrowTree extends StatementTree
A tree node for a `throw` statement. For example:

       throw expression;

See Java Language Specification:
  14.18 The throw Statement
Since:
  1.6

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`ExpressionTree`
`getExpression()`
Returns the expression to be thrown.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getExpression

ExpressionTree getExpression()
Returns the expression to be thrown.

Returns:
  the expression